Page MenuHomePhabricator

Set up toolsbeta more fully to help make testing easier
Closed, ResolvedPublic

Description

Currently toolsbeta is only partially set up, and testing some types of puppet patches are harder. It should mirror production tools.

Related Objects

StatusSubtypeAssignedTask
Resolvedaborrero
ResolvedBstorm
ResolvedBstorm
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
ResolvedJprorama
Resolvedaborrero
ResolvedBstorm
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
ResolvedBstorm
Resolved dduvall
Resolvedaborrero
ResolvedBstorm
ResolvedBstorm
ResolvedBstorm
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
ResolvedBstorm
DeclinedNone
Resolvedaborrero
OpenNone
Resolvedaborrero
OpenNone
Resolvedaborrero
StalledBstorm
ResolvedBstorm
Resolved yuvipanda
DuplicateNone
ResolvedBstorm
ResolvedBstorm
OpenBstorm
DuplicateNone
ResolvedBstorm
Resolvedaborrero
DuplicateNone
ResolvedBstorm
ResolvedBstorm
ResolvedBstorm
ResolvedBstorm
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
ResolvedBstorm
ResolvedBstorm
ResolvedBstorm
DuplicateNone
Resolvedaborrero
ResolvedBstorm
Resolvedbd808
Invalidaborrero
Resolvedbd808
Resolvedbd808
ResolvedSecurityBstorm
Resolvedaborrero
Resolvedbd808
DuplicateNone
ResolvedBstorm
Resolvedbd808
Resolvedbd808

Event Timeline

yuvipanda raised the priority of this task from to Needs Triage.
yuvipanda updated the task description. (Show Details)
yuvipanda added a project: Toolforge.
yuvipanda added subscribers: yuvipanda, scfc.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 7 2015, 4:19 PM
valhallasw triaged this task as Medium priority.Jul 2 2015, 7:42 PM
valhallasw added a subscriber: valhallasw.
Restricted Application added a project: Cloud-Services. · View Herald TranscriptJul 2 2015, 7:42 PM
valhallasw moved this task from Triage to Backlog on the Toolforge board.Jul 2 2015, 7:46 PM
aborrero closed this task as Resolved.Mar 2 2020, 5:25 PM
aborrero claimed this task.
aborrero added a subscriber: aborrero.

Toolsbeta setup is 99% same as the setup in the Tools project now, including a front proxy for webservices.

There is some stuff that is not very easy to test in Toolsbeta, but for the majority of cases, the setup suffices I think!